export const state = () => ({
    auth: null,
    notifications: [],
    fecha: fechaString(),
    categorias:[],
    metodos_de_pago:[]
  });

  export const mutations = {

    setAuth(state, auth) {
      state.auth = auth;
    },
  
    setNotifications(state, notifications) {
      state.notifications = notifications;
    },

    setCategorias(state, categorias) {
      state.categorias = categorias;
    },

    setMetodos(state, metodos) {
      state.metodos_de_pago = metodos;
    },
  
 
  
  };

  function fechaString(){
    let data = new Date();
    let year= data.getFullYear();
    let month = (data.getMonth() + 1)<9?"0"+(data.getMonth() + 1):(data.getMonth() + 1)
    let day = data.getDate()<9?"0"+data.getDate():data.getDate()
    let dataF=`${year}-${month}-${day}`
    return dataF;
   
}

export const actions = {

    readToken() {
      let auth = null;
      try {
        auth = JSON.parse(localStorage.getItem("auth"));
      } catch (error) {
        console.log(err);
      }
      //saving auth in state
      this.commit("setAuth", auth);
    },
    getCategorias() {
  
      const axiosHeader = {
        headers: {
          token: this.state.auth.token
        }
      };


    this.$axios.get("/categoria", axiosHeader)
    .then(res => {
      console.log(res.data.data);

      this.commit("setCategorias", res.data.data);


    }).catch(error => {
      console.log(error);
    });
    
  },
}